commit:     21516363acf4b6bd91d34bec182b78ca467cd5d8
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 26 21:06:56 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jul 26 21:07:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21516363

app-misc/ttyload: new package.

ttyload is an utility to display color-coded graph of load averages over time.

shell-tools will co-maintain this ebuild with me.

Gentoo-Bug: https://bugs.gentoo.org/355503

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-misc/ttyload/Manifest             |  1 +
 app-misc/ttyload/metadata.xml         | 12 ++++++++++++
 app-misc/ttyload/ttyload-0.5.3.ebuild | 36 +++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/app-misc/ttyload/Manifest b/app-misc/ttyload/Manifest
new file mode 100644
index 00000000000..26f237a74b6
--- /dev/null
+++ b/app-misc/ttyload/Manifest
@@ -0,0 +1 @@
+DIST ttyload-0.5.3.tar.bz2 15039 SHA256 
7d3147b22530e6de865279aaad8b9e0348575379413ed1a2d410257baf92d783 SHA512 
1affc171fd569d4127d7a51dda5764272e554a96db6ad4418ff6120f9b0e573679b33d45797adcb667216d167e9f3ee41349a53d4f7808b3b1c5bed76e3f4bbb
 WHIRLPOOL 
469011ee2acc6e785ecbbe957a6ebe6e88e0d97cee9b3872d663a7ed907768167aaf2c8113d853de905db84ec96a03c6798926013a7aed76f9ebd70807b0c500

diff --git a/app-misc/ttyload/metadata.xml b/app-misc/ttyload/metadata.xml
new file mode 100644
index 00000000000..94248608af4
--- /dev/null
+++ b/app-misc/ttyload/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrice Clement</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Shell Tools Project</name>
+       </maintainer>
+</pkgmetadata>

diff --git a/app-misc/ttyload/ttyload-0.5.3.ebuild 
b/app-misc/ttyload/ttyload-0.5.3.ebuild
new file mode 100644
index 00000000000..0ef762b0121
--- /dev/null
+++ b/app-misc/ttyload/ttyload-0.5.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="color-coded graph of load averages over time"
+HOMEPAGE="http://www.daveltd.com/src/util/ttyload 
https://github.com/lindes/ttyload";
+SRC_URI="http://www.daveltd.com/src/util/${PN}/${P}.tar.bz2";
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="ISC"
+SLOT="0"
+
+DEPEND="sys-libs/ncurses:0="
+
+RESTRICT="test"
+
+DOCS=( BUGS HISTORY LICENSE README.md TODO )
+
+src_prepare() {
+       default
+       sed -i '10i#include <time.h>' "${PN}.h" || die
+       sed -i -e "s#make#$\(MAKE\)#" Makefile || die
+}
+
+src_compile() {
+       emake CC=$(tc-getCC)
+}
+
+src_install() {
+       dobin "${PN}"
+       doman "${PN}.1"
+       einstalldocs
+}

Reply via email to